Device 18F25K22
Declare Xtal 64
Declare Optimiser_Level = 3
Declare Bootloader off
Declare Float_Display_Type = Fast
Declare Create_Coff On
Declare Dead_Code_Remove = 1        ' Remove dead code
Declare Watchdog off
Declare Reminders Off
Declare Hints Off


Symbol PLLEN = OSCTUNE.6                    ' PLL enable
Symbol PLLRDY = OSCCON2.7                    ' PLL run status
    
OSCCON = $7C
OSCCON = %01110000
     
PLLEN = 1                                    ' Enable PLL 
While PLLRDY = 0 : Wend                        ' Wait until PLL is stable

    
$define TFT_Use_SPI
$define ILI9341
    
Include "ILI9341.Inc"                    ' ILI9341 driver
Include "rgb565.inc"                        ' List of named internet colors.

Dim color As Word
Dim i As Word
Dim j As Word

InitILI
   
SCRorientation0

wColor = BLACK
wPaper = YELLOW
wInk = WHITE
SetFont(Arial_Bold_16)  
   
ClearScreen
    
At_XY(0,0)
PrintString("Hello")             'just to put something on the screen at top


For j = 0 To 18      '19 pixel height font
 For i = 0 To 38     '39 pixel width text

  wColor = GetPixel(i,j)

   TFT_CS = 0
   SetPixel(i+30,j+30)
   TFT_CS = 1
 Next
Next
wPaper=RED
At_XY(70,70)
PrintString("World")             'just to put something on the screen at top

For j = 0 To 18      '19 pixel height font
 For i = 0 To 44     '45 pixel width text

  wColor = GetPixel(i+70,j+70)

   TFT_CS = 0
   SetPixel(i+100,j+100)
   TFT_CS = 1
 Next
Next



End

Include "Arial_Bold_16.inc"


;-------------------------------------------------------------------------------
;**** Added by Fuse Configurator ****
; Use the Fuse Configurator plug-in to change these settings


Declare Reminders Off
@ CONFIG_REQ = 0 ; Override Compiler's configuration settings
Asm-
Config FOSC = INTIO67;HS oscillator (high power > 16 MHz)
Config PLLCFG = OFF	;Oscillator multiplied by 4
Config PRICLKEN = On	;Primary clock enabled
Config FCMEN = OFF	;Fail-Safe Clock Monitor disabled
Config IESO = OFF	;Oscillator Switchover mode disabled
Config PWRTEN = On	;Power up timer enabled
Config BOREN = SBORDIS	;Brown-out Reset enabled in hardware only (SBOREN is disabled)
Config BORV = 190	;VBOR set to 1.90 V nominal
Config WDTEN = OFF	;Watch dog timer is always disabled. SWDTEN has no effect.
Config WDTPS = 32768	;1:32768
Config CCP2MX = PORTC1	;CCP2 input/output is multiplexed with RC1
Config PBADEN = OFF	;PORTB<5:0> pins are configured as digital I/O on Reset
Config CCP3MX = PORTB5	;P3A/CCP3 input/output is multiplexed with RB5
Config HFOFST = On	;HFINTOSC output and ready status are not delayed by the oscillator stable status
Config T3CMX = PORTC0	;T3CKI is on RC0
Config P2BMX = PORTB5	;P2B is on RB5
Config MCLRE = INTMCLR	;RE3 input pin enabled; MCLR disabled
Config STVREN = OFF	;Stack full/underflow will not cause Reset
Config LVP = OFF	;Single-Supply ICSP disabled
Config XINST = OFF	;Instruction set extension and Indexed Addressing mode disabled (Legacy mode)
Config Debug = OFF	;Disabled
Config Cp0 = OFF	;Block 0 (000800-001FFFh) not code-protected
Config CP1 = OFF	;Block 1 (002000-003FFFh) not code-protected
Config CP2 = OFF	;Block 2 (004000-005FFFh) not code-protected
Config CP3 = OFF	;Block 3 (006000-007FFFh) not code-protected
Config CPB = OFF	;Boot block (000000-0007FFh) not code-protected
Config CPD = OFF	;Data EEPROM not code-protected
Config WRT0 = OFF	;Block 0 (000800-001FFFh) not write-protected
Config WRT1 = OFF	;Block 1 (002000-003FFFh) not write-protected
Config WRT2 = OFF	;Block 2 (004000-005FFFh) not write-protected
Config WRT3 = OFF	;Block 3 (006000-007FFFh) not write-protected
Config WRTC = OFF	;Configuration registers (300000-3000FFh) not write-protected
Config WRTB = OFF	;Boot Block (000000-0007FFh) not write-protected
Config WRTD = OFF	;Data EEPROM not write-protected
Config EBTR0 = OFF	;Block 0 (000800-001FFFh) not protected from table reads executed in other blocks
Config EBTR1 = OFF	;Block 1 (002000-003FFFh) not protected from table reads executed in other blocks
Config EBTR2 = OFF	;Block 2 (004000-005FFFh) not protected from table reads executed in other blocks
Config EBTR3 = OFF	;Block 3 (006000-007FFFh) not protected from table reads executed in other blocks
Config EBTRB = OFF	;Boot Block (000000-0007FFh) not protected from table reads executed in other blocks
Endasm-
Declare Reminders On

;**** End of Fuse Configurator Settings ****
;-------------------------------------------------------------------------------

